/*
  Chuck Aligbe Website CSS
  by Chuck Aligbe - http://chuck.aligbe.com
  website powered by Papyrus.py - http://github.com/cealigbe/papyrus
*/

@import url("fonts/fonts.css");

:root {
  /* Colors */

  /* aqua */
  --ca-aqua: hsl(168 100% 50%);
  --ca-aqua-light-20: hsl(168 80% 60%);
  --ca-aqua-light-40: hsl(168 60% 70%);
  --ca-aqua-light-60: hsl(168 40% 80%);
  --ca-aqua-light-80: hsl(168 20% 90%);
  --ca-aqua-dark-20: hsl(168 80% 40%);
  --ca-aqua-dark-40: hsl(168 60% 30%);
  --ca-aqua-dark-60: hsl(168 40% 20%);
  --ca-aqua-dark-80: hsl(168 20% 10%);
  /* royal */
  --ca-royal: hsl(210 100% 50%);
  --ca-royal-light-20: hsl(210 80% 60%);
  --ca-royal-light-40: hsl(210 60% 70%);
  --ca-royal-light-60: hsl(210 40% 80%);
  --ca-royal-light-80: hsl(210 20% 90%);
  --ca-royal-dark-20: hsl(210 80% 40%);
  --ca-royal-dark-40: hsl(210 60% 30%);
  --ca-royal-dark-60: hsl(210 40% 20%);
  --ca-royal-dark-80: hsl(210 20% 10%);
  /* magenta */
  --ca-magenta: hsl(330 100% 50%);
  --ca-magenta-light-20: hsl(330 80% 60%);
  --ca-magenta-light-40: hsl(330 60% 70%);
  --ca-magenta-light-60: hsl(330 40% 80%);
  --ca-magenta-light-80: hsl(330 20% 90%);
  --ca-magenta-dark-20: hsl(330 80% 40%);
  --ca-magenta-dark-40: hsl(330 60% 30%);
  --ca-magenta-dark-60: hsl(330 40% 20%);
  --ca-magenta-dark-80: hsl(330 20% 10%);
  /* yellow */
  --ca-yellow: hsl(48 100% 50%);
  --ca-yellow-light-20: hsl(48 80% 60%);
  --ca-yellow-light-40: hsl(48 60% 70%);
  --ca-yellow-light-60: hsl(48 40% 80%);
  --ca-yellow-light-80: hsl(48 20% 90%);
  --ca-yellow-dark-20: hsl(48 80% 40%);
  --ca-yellow-dark-40: hsl(48 60% 30%);
  --ca-yellow-dark-60: hsl(48 40% 20%);
  --ca-yellow-dark-80: hsl(48 20% 10%);
  /* verte */
  --ca-verte: hsl(100 60% 50%);
  --ca-verte-light-20: hsl(100 48% 60%);
  --ca-verte-light-40: hsl(100 36% 70%);
  --ca-verte-light-60: hsl(100 24% 80%);
  --ca-verte-light-80: hsl(100 12% 90%);
  --ca-verte-dark-20: hsl(100 48% 40%);
  --ca-verte-dark-40: hsl(100 36% 30%);
  --ca-verte-dark-60: hsl(100 24% 20%);
  --ca-verte-dark-80: hsl(100 12% 10%);
  /* off-white */
  --ca-off-white: hsl(0 0% 94%);
  --ca-off-white-light-20: hsl(0 0% 95.2%);
  --ca-off-white-light-40: hsl(0 0% 96.4%);
  --ca-off-white-light-60: hsl(0 0% 97.6%);
  --ca-off-white-light-80: hsl(0 0% 98.8%);
  --ca-off-white-dark-20: hsl(0 0% 75.2%);
  --ca-off-white-dark-40: hsl(0 0% 56.4%);
  --ca-off-white-dark-60: hsl(0 0% 37.6%);
  --ca-off-white-dark-80: hsl(0 0% 18.8%);
  /* off-black */
  --ca-off-black: hsl(0 0% 13%);
  --ca-off-black-light-20: hsl(0 0% 30.4%);
  --ca-off-black-light-40: hsl(0 0% 47.8%);
  --ca-off-black-light-60: hsl(0 0% 65.2%);
  --ca-off-black-light-80: hsl(0 0% 82.6%);
  --ca-off-black-dark-20: hsl(0 0% 10.4%);
  --ca-off-black-dark-40: hsl(0 0% 7.8%);
  --ca-off-black-dark-60: hsl(0 0% 5.2%);
  --ca-off-black-dark-80: hsl(0 0% 2.6%);

  /* color tokens */
  --ca-col-primary: var(--ca-aqua);
  --ca-col-secondary: var(--ca-royal);
  --ca-col-action: var(--ca-royal-light-40);
  --ca-col-tertiary: var(--ca-magenta);
  --ca-col-surface: var(--ca-off-black);
  --ca-col-surface-alt: var(--ca-off-black-light-20);
  --ca-col-foreground: var(--ca-off-white);
  --ca-col-foreground-alt: var(--ca-off-white-dark-20);
  accent-color: var(--ca-col-primary);

  /* Dimensions */
  --ca-border-radius: 4px;
  --ca-border-thickness: 2px;

  /* Interactions */
  --ca-hover-opacity: 0.75;
  --ca-transition-duration: 0.2s;

  /* Typography Scale */
  --ca-type-factor: 1.25;
  --ca-type-scale: 1.1;

  /* Spacing (in rem) */
  --ca-sp-xs: 0.5rem;
  --ca-sp-s: 0.75rem;
  --ca-sp-reg: 1rem;
  --ca-sp-m: 1.25rem;
  --ca-sp-l: 1.5rem;
  --ca-sp-xl: 2rem;
  --ca-sp-xxl: 3rem;

  /* Content sizing (in rem) */
  --ca-vp-sm: 25rem;
  --ca-vp-m: 40rem;
  --ca-vp-l: 50rem;
  --ca-vp-xl: 60rem;
  --ca-vp-xxl: 80rem;

  /* Typefaces */
  --ca-body-type: "Figtree", system-ui, Helvetica, Arial, sans-serif;
  --ca-heading-type: "Chaney", system-ui, Helvetica, Arial, sans-serif;
  --ca-display-type: "Chaney-Extended", system-ui, Helvetica, Arial, sans-serif;
  --ca-mono-type: ui-monospace, Consolas, Monaco, monospace;
}

@media screen and (min-width: 100rem) {
  :root {
    --ca-type-scale: 1.25;
  }
}

/* Base Resets from Josh Comeau's Modern CSS Reset */

/* Use a more-intuitive box-sizing model */
*,
*::before,
*::after {
    box-sizing: border-box;
}

/* Remove default margin */
* {
    margin: 0;
}

/* Enable keyword animations */
@media (prefers-reduced-motion: no-preference) {
    html {
        interpolate-size: allow-keywords;
    }
}

/* Improve media defaults */
img,
figure,
picture,
video,
canvas,
svg {
    display: block;
    max-width: 100%;
    height: auto;
}

/* Inherit fonts for form controls */
input,
button,
textarea,
select {
    font: inherit;
}

/* Avoid text overflows */
p, h1, h2, h3, h4, h5, h6 {
    overflow-wrap: break-word;
}


/* Create a root stacking context */
#root,
#__next {
    isolation: isolate;
}

/* Global styles */
@view-transition {
  navigation: auto;
}

::view-transition-group(*),
::view-transition-old(*),
::view-transition-new(*) {
  animation-duration: 0.2s;
	animation-fill-mode: forwards; /* important if you mix durations */
	animation-timing-function: ease;
}

html {
    font-size: 100%; /* Base font size */
    scroll-behavior: smooth;
    scrollbar-gutter: stable;
}
html:active-view-transition-type(forwards,backwards) {
  :root {
    view-transition-name: none;
  }
  #site-main{
    view-transition-name: site-main;
  }
}
html.dialog-opened,
html:has(dialog[open]) {
    overflow: hidden;
    scrollbar-width: none;
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  font-family: var(--ca-body-type);
  font-size: calc(var(--ca-type-scale) * 1rem);
  background-color: var(--ca-col-surface);
  color: var(--ca-col-foreground); /* Updated body text color */
  line-height: calc(var(--ca-type-scale) * 1.6);
  margin: 0;
  -webkit-font-smoothing: antialiased; /* Smoother font rendering */
  -moz-osx-font-smoothing: grayscale;
}

figure {
  margin-block: 1rem 2rem;
}

figure > img {
  margin: 0 auto;
}

img {
  border-radius: 4px;
}

input:not([type='radio'], [type='checkbox']), button, textarea, select {
  display: block;
  min-width: 20rem;
  margin-block: 0.5rem 1rem;
}

input, textarea, select {
  padding: 0.5rem 0.75rem;
  border: 2px solid var(--ca-col-foreground);
  border-radius: 4px;
  background-color: var(--ca-col-surface-alt);
}

button, input:is([type='button'], [type='submit'], [type='reset']) {
  padding: 0.5rem 0.75rem;
  border: none;
  border-radius: 4px;
  background-color: var(--ca-col-primary);
  color: var(--ca-col-surface);
  font-weight: bold;
  transition: opacity 0.2s ease;
  cursor: pointer;
}
button:is(:hover, :focus), input:is([type='button'], [type='submit'], [type='reset']):is(:hover, :focus) {
  opacity: 0.8;
}
button:has(img, svg), input:is([type='button'], [type='submit'], [type='reset']):has(img, svg) {
  display: flex;
  gap: 0.8rem;
  justify-content: center;
  align-items: center;
}
input:is([type='radio'], [type='checkbox']) {
  position: relative;
  padding: 0;
  margin-inline-end: 0.25rem;
  width: 1em;
  height: 1em;
  top: 0.125em;
  cursor: pointer;
}
label {
  display: block;
  margin-bottom: 0.5rem;
}

/* Typography */

p {
  margin-block: 0 1.5rem;
  text-wrap: pretty;
}

h1, h2, h3, h4, h5, h6 {
  margin-block: 0.5rem 1.5rem;
  text-wrap: balance;
  font-weight: 700;
}
.heading {
  font-family: var(--ca-heading-type);
}
.display, .wordmark {
  font-family: var(--ca-display-type);
}
h1, h2, h3, h4 {
  line-height: calc(var(--ca-type-scale) * 1.2);
}
h6 {
  font-size: calc(var(--ca-type-scale) * 1rem);
}
h5 {
  font-size: calc(var(--ca-type-scale) * var(--ca-type-factor) * 1rem);
}
h4 {
  font-size: calc(var(--ca-type-scale) * pow(var(--ca-type-factor), 2) * 1rem);
}
h3 {
  font-size: calc(var(--ca-type-scale) * pow(var(--ca-type-factor), 3) * 1rem);
}
h2 {
  font-size: calc(var(--ca-type-scale) * pow(var(--ca-type-factor), 4) * 1rem);
}
h1 {
  font-size: calc(var(--ca-type-scale) * pow(var(--ca-type-factor), 5) * 1rem);
}

a {
  color: var(--ca-col-action);
  font-weight: bold;
  transition: opacity 0.2s ease;
  text-decoration: none;
}
a:hover, a:focus {
  opacity: 0.8;
  text-decoration: underline;
}
a:has(img, figure) {
  display: block;
}
a img {
  transition: box-shadow 0.2s ease;
}
a:has(img):is(:hover, :focus) {
  opacity: 1;
  color: var(--ca-col-foreground);
}
a:is(:hover, :focus) img {
  box-shadow: 8px 8px 0 0 hsl(170 90 50 / 0.6);
}
a.link-btn {
  display: flex;
  width: max-content;
  gap: 0.5em;
  align-items: center;
  background-color: var(--ca-col-primary);
  color: var(--ca-col-surface);
  padding: 0.5em 1em;
  border-radius: 0.25em;
  text-decoration: none;
}
a.link-btn.ghost {
  background-color: transparent;
  color: var(--ca-col-primary);
  padding: 0.5em;
}

figcaption, caption, .caption {
  font-size: calc(var(--ca-type-scale) * 0.9rem);
  font-style: italic;
  text-align: center;
  padding: var(--ca-sp-reg) 0;
}
a figcaption,
a .caption {
  font-weight: normal;
  color: var(--ca-col-foreground);
}

ul {
  margin-bottom: var(--ca-sp-l);
}

blockquote {
  margin: var(--ca-sp-xs);
  padding: 0 var(--ca-sp-reg);
  border-inline-start: 4px solid var(--ca-aqua);
}

/* Tables */

hr {
  background-color: transparent;
  border-bottom: 2px solid var(--ca-col-foreground-alt);
  height: 0;
  margin-block: 0.75rem;
}

table {
  width: 100%;
  border-collapse: collapse;
  margin: 1.5rem 0;
}
table th, table td {
  padding: 0.5rem;
  text-align: left;
  border: none;
}
table tr:nth-of-type(2n) td {
  background-color: var(--ca-col-surface-alt);
}
table th {
  border-bottom: 2px solid var(--ca-col-foreground-alt);
  font-weight: bold;
}

/* Layout elements */

header, main, footer, section, article, aside {
  margin-bottom: 2rem;
}
body > :is(header, main, footer) {
  width: 100%;
  flex: 0 0 auto;
}

#site-header {
  position: fixed;
  background-color: rgb(32 32 32 / 0.9);
  display: flex;
  justify-content: space-between;
  gap: 0.5rem;
  align-items: center;
  margin: 0;
  padding: 1rem;
  height: 120px;
  z-index: 10;
}
#site-header div.wordmark{
  flex: 1 0 auto;
  width: 25%;
}
#site-header h1 {
  font-size: 2rem;
  margin: 0;
}
#site-header a {
  color: var(--ca-col-primary);
}

body > main {
  max-width: min(var(--ca-vp-l), 100% - 2rem);
  margin-inline: auto;
  padding-top: 120px;
  flex: 2 0 auto;
}
body#home > main {
  max-width: min(100rem, 100%);
}
body#posts > main {
  max-width: min(var(--ca-vp-xxl), 100% - 2rem);
}
:is(body.post, body.folio) > main {
  max-width: min(var(--ca-vp-xxl), 100% - 2rem);
}
body > main:has(article.catalog) {
  max-width: min(100rem, 100% - 2rem);
}

body > footer {
  margin-block: 4rem 0;
  padding: 1rem 2rem 3rem;
  font-size: calc(var(--ca-type-scale) * 0.9rem);
  background-color: var(--ca-aqua-dark-80);
  border-top: 2px solid var(--ca-aqua);
}
#site-footer a {
  color: var(--ca-col-primary);
}
#site-footer .wordmark {
  font-size: clamp(2.5rem, 3.666vw + 1.333rem, 5.5rem);
}
ul.socials {
  list-style: none;
  display: flex;
  width: 100%;
  gap: 2rem;
  justify-content: center;
  margin: 0;
  padding: 0;
}

aside {
  padding: 1rem;
  background-color: var(--ca-aqua-dark-80);
  border-block: 2px solid var(--ca-aqua-light-60);
}

@media screen and (min-width: 100rem) {
	#site-header {
	  padding-inline: 2rem;
	}
}

/* Navigation */

nav#site-nav {
  font-size: 1.25rem;
  text-transform: uppercase;
  flex: 0 1 auto;
}
nav > menu {
  position: absolute;
  overflow: hidden;
  list-style: none;
  margin: 0;
  padding: 0;
  top: 120px;
  left: 0;
  width: 100%;
  height: 0;
  background-color: rgb(32 32 32 / 0.8);
  backdrop-filter: blur(4px);
  z-index: 99;
  transition: height 0.25s ease;
}
nav#site-nav li {
  padding: 1rem 2rem;
}
nav#site-nav li:is(:hover, :focus-within) {
  background-color: var(--ca-off-black-dark-20);
}
.nav-btn {
  min-width: min-content;
  margin: 0;
}
nav .menu-visible {
  height: calc(100vh - 120px);
}

@media screen and (min-width: 50rem) {
  nav#site-nav {
    width: 60%;
  }
  .nav-btn {
    display: none;
    width: 0;
    height: 0;
    opacity: 0;
  }
  nav > menu {
    position: relative;
    inset: 0;
    padding: 0;
    display: flex;
    overflow: visible;
    gap: 4px;
    justify-content: right;
    align-items: center;
    background-color: transparent;
    backdrop-filter: none;
    transition: none;
  }
  nav .menu-hidden, nav .menu-visible {
    height: auto;
  }
  nav#site-nav li {
    padding: 0.5rem 1rem;
  }
  nav#site-nav li:is(:hover, :focus-within) {
    background-color: transparent;
  }
  nav#site-nav li.active {

  }
  nav#site-nav li.active a {
    color: var(--ca-magenta-light-20);
  }
}

/* Homepage Styling */

#hero {
  position: relative;
  aspect-ratio: 1;
  color: var(--ca-aqua);
  display: grid;
  align-items: center;
}
#hero .bg {
  position: absolute;
  display: grid;
  inset: 0 0 0 0;
  place-items: center;
  overflow: hidden;
  background-color: #222;
  z-index: -10;
}
#hero .bg svg {
  width: 100%;
  aspect-ratio: 1;
  opacity: 0.8;
  animation: svg-fade-in 2.4s ease;
}
#hero .container {
  width: 100%;
  padding: 2rem;
}
#hero h2 {
  font-family: var(--ca-display-type);
  font-size: clamp(3rem, 7vw + 1.5rem, 9rem);
}
#hero .subtitle {
  font-size: clamp(1.5rem, 3.333vw + 0.667rem, 4rem);
  font-weight: bold;
  text-shadow: -2px -2px 0 var(--ca-col-surface), 2px -2px 0 var(--ca-col-surface), -2px 2px 0 var(--ca-col-surface), 2px 2px 0 var(--ca-col-surface);
}
#hero .svg-paper path {
  stroke: #00ffcc;
  opacity: 0.8;
  stroke-dasharray: 1000;
  animation: dash 30s ease infinite;
}
#hero .svg-paper path:nth-of-type(2n) {
  animation-delay: 1.5s;
}
#hero .svg-paper path:nth-of-type(3n+1) {
  animation-delay: 3s;
}
#hero .svg-paper path:nth-of-type(5n) {
  animation-delay: 4.5s;
}
#hero .svg-paper path:nth-of-type(7n+1) {
  animation-delay: 6s;
}
#hero .svg-paper path:nth-of-type(11n+1) {
  animation-delay: 9s;
}

@media (prefers-reduced-motion: reduce) {
  #hero .svg-paper path {
    opacity: 1;
    stroke-dasharray: 0;
    animation: fade-in-out 5.6s ease infinite;
  }
  #hero .svg-paper path:nth-of-type(2n) {
    animation-delay: 0.8s;
  }
  #hero .svg-paper path:nth-of-type(3n+1) {
    animation-delay: 1.6s;
  }
  #hero .svg-paper path:nth-of-type(5n) {
    animation-delay: 2.4s;
  }
  #hero .svg-paper path:nth-of-type(7n+1) {
    animation-delay: 3.2s;
  }
  #hero .svg-paper path:nth-of-type(11n+1) {
    animation-delay: 4.8s;
  }
}

@keyframes fade-in-out {
  0% { opacity: 1; }
  50% { opacity: 0.2; }
  100% { opacity: 1; }
}
@keyframes svg-fade-in {
  0% { opacity: 0; }
  20% { opacity: 0; }
  100% { opacity: 0.8; }
}
@keyframes fade-in {
  0% { opacity: 0; }
  20% { opacity: 0; }
  100% { opacity: 1; }
}
@keyframes dash {
  0% { stroke-dashoffset: 2000; }
  50% { stroke-dashoffset: 0; }
  100% { stroke-dashoffset: -2000; }
}

#tagline {
  font-size: clamp(1.5rem, 2.5vw + 0.333rem, 2.5rem);
  display: grid;
  place-items: center;
  padding: 2rem;
  aspect-ratio: 1.6 auto;
}
#tagline a {
  color: var(--ca-col-primary);
}

#work {
  padding: 1.5rem;
  scroll-margin-block-start: 120px;
}
#work .card-title {
  color: var(--ca-col-primary);
}
#featured {
  margin-bottom: 8rem;
}
#featured h3 {
  font-size: calc(var(--ca-type-scale) * 3rem);
}
#featured ul, #catalog ul {
  list-style: none;
  padding: 0;
  margin: 0;
}
#featured .featured-card {
  margin-bottom: 4rem;
}
.featured-card img {
  margin-bottom: 1.5rem;
  width: 100%;
  max-height: 75vh;
  aspect-ratio: 16/9;
  object-fit: cover;
}
.featured-card .content p {
  max-width: 80ch;
}
.featured-card .card-title {
  font-size: calc(1.75rem * var(--ca-type-scale));
  line-height: 1.2;
}
#catalog {
  margin: 2.5rem auto;
  max-width: var(--ca-vp-xxl);
}
#catalog .catalog-card {
  margin: 0 auto 4rem;
}
.catalog-card img {
  margin-bottom: 1.5rem;
  width: 100%;
  aspect-ratio: 2;
  object-fit: cover;
}
.catalog-card .content p {
  max-width: 80ch;
}
.catalog-card .card-title {
  font-size: calc(1.75rem * var(--ca-type-scale));
  line-height: 1.2;
}

.featured-card, .catalog-card {
  opacity: 1;
  transition: opacity 1.2s ease, transform 1.2s ease;
}

:is(.featured-card, .catalog-card).not-visible {
  opacity: 0;
  transform: translateY(40px);
}

@media screen and (min-width: 50rem) {
  #hero {
    aspect-ratio: auto;
    min-height: 80vh;
  }

  #catalog .catalog-card {
    display: grid;
    grid-template-columns: 3fr 2fr;
    gap: 1.5rem;
  }

  .catalog-card img {
    aspect-ratio: auto;
    height: 15rem;
  }
}

@media screen and (min-width: 80rem) {

}

/* About Styling */
#about section {
  padding-block: 1rem;
  scroll-margin-block-start: 120px;
}
#about-me :is(.exp-list, .client-list) {
  width: 100%;
  margin-block-end: 2rem;
  padding: 0.5rem 1rem;
}
#about-me :is(.exp-list, .client-list) ul {
  list-style: none;
  margin: 0;
  padding: 0;
}
#about-me :is(.exp-list, .client-list) li {
  padding-block: 0.25rem;
}

@media screen and (min-width: 30rem) {
  #about-me :is(.exp-list, .client-list) {
    columns: 2;
  }
}

/* Makes Styling */
#makes section {
  padding-block: 1rem;
  scroll-margin-block-start: 120px;
}

 /* Contact Styling */
#contact {
  font-size: calc(var(--ca-type-scale) * 1.5rem);
  margin-inline: auto;
  max-width: 60rem;
  padding: 1rem;
  scroll-margin-block-start: 120px;
}
#contact h2 {
  font-size: calc(var(--ca-type-scale) * 3rem);
}
#contact .container {
  padding-block: 2rem;
}
#contact a {
  color: var(--ca-col-primary);
}
.motto {
  position: relative;
  display: grid;
  place-items: center;
  width: 100%;
  min-height: 60vh;
}
.motto img {
  width: min(75vw, 25rem);
  aspect-ratio: 1;
  animation: spin 10s linear infinite reverse;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
@media (prefers-reduced-motion: reduce) {
  .motto img {
    animation: none;
  }
}

/* Posts Styling */

#article-listing {
  padding-block: 1rem;
}
#listing-wrapper {
  position: static;
  margin-top: 4rem;
}
#listing-wrapper h3 {
  font-size: calc(var(--ca-type-scale) * 2.5rem);
  margin-block: 1rem 2rem;
  padding: 0.5rem 1rem;
  font-weight: 800;
  background-color: var(--ca-aqua-light-20);
  color: var(--ca-off-black);
}
ul.articles {
  padding: 0 0 2rem;
  list-style: none;
}
ul.articles:last-of-type {
  padding-block-end: 0;
}
.list-card {
  margin: 0 auto 4rem;
  max-width: var(--ca-vp-xxl);
}
.list-card img {
  width: 100%;
  aspect-ratio: 2.5;
  object-fit: cover;
}
.list-card .content p {
  max-width: 80ch;
}
.list-card .card-title {
  font-size: calc(1.75rem * var(--ca-type-scale));
  line-height: 1.2;
}
.list-card p.date {
  font-size: calc(0.9rem * var(--ca-type-scale));
  color: var(--ca-col-foreground-alt);
  font-style: italic;
}
ul.category-list {
  margin-bottom: 2rem;
}

@media screen and (min-width: 50rem) {
  body#posts .section-header,
  body#posts .section-footer  {
    max-width: 63rem;
    margin-inline: auto;
  }
  #listing-wrapper {
    display: grid;
    grid-template-columns: 12rem fit-content(50rem);
    gap: 1rem;
    max-width: max-content;
    margin-inline: auto;
  }
  #listing-wrapper h3 {
    position: sticky;
    top: 144px;
    text-align: right;
  }
}

/* Post + Folio Page Styling */

article.post-article, article.folio-article {
  padding-block: 1rem;
}
article.post-article > *,
article.folio-article.featured > * {
  max-width: var(--ca-vp-l);
  margin-inline: auto;
}
article:not(.catalog) .article-header, .section-header {
  padding-top: 2rem;
  border-bottom: 0.5rem solid var(--ca-aqua);
}
.article-header h2, .section-header h2 {
  margin-block: 0.5rem;
  font-size: calc(var(--ca-type-scale) * 3rem);
}
.folio-article .disclaimer {
  display: none;
}
.article-header .meta {
  font-style: italic;
  color: var(--ca-col-foreground-alt);
  font-size: calc(var(--ca-type-scale) * 0.9rem);
}
.folio-article.catalog :is(a.to-top)  {
  display: none;
}

.gallery ul {
  list-style: none;
  margin: 0;
  padding: 0;
  display: grid;
  gap: 1rem;
}
/*
.gallery ul li {

}
.gallery li img {

}
*/
.gallery:not(:has(> figcaption, > .caption)) {
  margin-bottom: 2rem;
}
.gallery:has(+ .caption) {
  margin-bottom: 0;
}
.gallery figure {
  margin: 0;
  position: relative;
}
.gallery figcaption {
  position: absolute;
  inset-inline: 0;
  bottom: 0;
  background-color: rgb(32 32 32 / 0.75);
  padding-block: 0.25rem;
  opacity: 0;
  transition: opacity 0.2s ease;
}
.gallery figure:hover figcaption,
.gallery a:focus figcaption {
  opacity: 1;
}
/*
.gallery.horizontal {

}
.gallery.horizontal ul {

}
.gallery.horizontal li,
.gallery.horizontal li a {

}
*/
.gallery.horizontal img {
  aspect-ratio: auto;
  height: 100%;
}

article .full-bleed {
  max-width: 100% !important;
}
article .narrow {
  max-width: 30rem !important;
  margin: 0 auto;
}
/*
@media screen and (min-width: 30rem) {

}
*/
@media screen and (min-width: 40rem) {
  .gallery li img {
    aspect-ratio: 1.6;
    object-fit: cover;
  }
  .gallery.two-cols ul {
    grid-template-columns: repeat(2, 1fr);
  }
  .gallery.three-cols ul {
    grid-template-columns: repeat(3, 1fr);
  }
  .gallery.three-cols li img {
    aspect-ratio: 1;
  }
  .gallery .full-span {
  	grid-column: 1 / -1
  }
  .gallery .full-span img {
  	aspect-ratio: 2.5;
  }

  .folio-article.catalog .disclaimer {
    display: flex;
    gap: 0.5rem;
    align-items: center;
  }

  .gallery.horizontal {
    height: calc(100vh - 20rem);
    overflow: scroll hidden;
    overscroll-behavior-x: contain;
  }
  .gallery.horizontal ul {
    display: flex;
    width: max-content;
    height: 100%;
  }
  .gallery.horizontal li,
  .gallery.horizontal li a {
    height: 100%;
  }
}


/* Error Pages Styling */

body#error-404, body#error-403, body#error-401 {
  #site-main {
    margin: 0;
    width: 100%;
    max-width: unset;
  }
}
body#error-404 .error-doc {
  background-image: url(img/error-404-bg.png);
}
body#error-403 .error-doc {
  background-image: url(img/error-403-bg.png);
}
body#error-401 .error-doc {
  background-image: url(img/error-401-bg.png);
}
.error-doc {
  width: 100%;
  min-height: 60vh;
  font-size: calc(var(--ca-type-scale) * 1.25rem);
  padding-block: 2rem;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  background-color: hsl(0 0 15 / 0.6);
  background-blend-mode: darken;
  animation: glowing 4s ease infinite;
}
.error-doc .container {
  text-align: center;
  max-width: 50rem;
  margin: 0 auto;
}
.error-doc h2 {
  font-size: 5rem;
  font-size: clamp(5rem, 2.5rem + 12.5vw, 15rem);
  color: var(--ca-col-primary);
  text-shadow: 4px 4px 0 0 var(--ca-aqua-dark-20);
}
.error-doc .subhead {
  font-size: 1.5em;
  font-weight: bold;
}
.error-doc .action-area {
  width: 100%;
  margin: 2rem 0;
  display: flex;
  justify-content: center;
}
@keyframes glowing {
  0% { background-color: hsl(0 0 15 / 0.6); }
  50% { background-color: hsl(0 0 15 / 0.1); }
  100% { background-color: hsl(0 0 15 / 0.6); }
}

/* Utility Classes */

mark {
    background: var(--ca-yellow-dark-20);
    color: var(--ca-col-surface);
    text-shadow: none;
}
::selection {
    background: var(--ca-yellow);
    color: var(--ca-col-surface);
    text-shadow: none;
}
::-moz-selection {
    background: var(--ca-yellow);
    color: var(--ca-col-surface);
    text-shadow: none;
}

pre, code, samp, kbd {
  font-family: var(--ca-mono-type);
}

pre:has(code) {
  display: block;
  margin-block: 0.5rem 1.5rem;
  padding: var(--ca-sp-xs);
  background-color: var(--ca-aqua-dark-60);
  border-radius: 4px;
  overflow-x: auto;
}

kbd {
  padding: 2px 8px;
  background-color: var(--ca-aqua-dark-60);
  border: 2px solid var(--ca-off-white);
  border-radius: 4px;
}

abbr { cursor: help; }

del { color: var(--ca-magenta-light-20); }

ins { color: var(--ca-verte-light-20); }

.underline {
  text-decoration: underline;
}


/* Lightbox Styels */

.tobii button {
  min-width: unset;
  margin: 0;
  padding: 0;
}

.tobii button.tobii__btn--close {
  margin: 0.25rem;
}
